Data
Edit Memory
Update fields on an existing memory for the active agent.
PATCH
Overview
Updates an existing memory using a delete-and-recreate pattern on Moorcheh. The memory retains its originalid and created_at timestamp, but updates its updated_at timestamp. You must provide at least one field to update.
Authentication
API clients do not send an API key orAuthorization header.
string
required
Session token from Activate Agent. Must match
agent_id.Path Parameters
string
required
The unique identifier of the agent.
string
required
The ID of the memory to update.
Body
string
New memory title. Max 100 characters.
string
New memory content. Max 10,000 characters. Must be a non-empty string if provided.
string
New memory type (e.g.,
fact, preference, decision, etc.).number
New confidence score between 0.0 and 1.0.
array
List of strings representing the new tags.
string
New memory source string.
Next Steps
- Recall to find a memory’s ID before editing it
- Delete Memory to remove a memory